﻿Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports LCContracts

Namespace LocalCommunications
	Public Class TaskService
		Implements ITaskService
		#Region "ITaskService Members"

		Public Sub CreateTask(ByVal newTask As Task, ByVal defaultUser As String) Implements ITaskService.CreateTask
			Console.WriteLine("Created task {0}", newTask)
		End Sub

		'public void DeleteTask(Task task, string reason)
		'{
		'    Console.WriteLine("deleting task: {0} becuase {1}", task.Name, reason);
		'}

		Public Sub AssignTask(ByVal task As Task, ByVal user As String) Implements ITaskService.AssignTask
			Console.WriteLine("Assigning task {0} to {1}", task.Name, user)
		End Sub

		Public Sub OnTaskCompleted(ByVal task As Task, ByVal instanceId As Guid)
			RaiseEvent TaskCompleted(Nothing, New TaskEventArgs(instanceId, task))
		End Sub
		Public Event TaskCompleted As EventHandler(Of TaskEventArgs) Implements ITaskService.TaskCompleted

		#End Region
	End Class
End Namespace
