﻿Imports Microsoft.VisualBasic
Imports System
Imports System.ComponentModel
Imports System.ComponentModel.Design
Imports System.Collections
Imports System.Drawing
Imports System.Linq
Imports System.Workflow.ComponentModel.Compiler
Imports System.Workflow.ComponentModel.Serialization
Imports System.Workflow.ComponentModel
Imports System.Workflow.ComponentModel.Design
Imports System.Workflow.Runtime
Imports System.Workflow.Activities
Imports System.Workflow.Activities.Rules

Namespace LocalCommunications
	Public NotInheritable Partial Class Workflow1
		Inherits SequentialWorkflowActivity
		Public Sub New()
			InitializeComponent()
		End Sub

		Public Shared NewTaskProperty As DependencyProperty = DependencyProperty.Register("NewTask", GetType(LCContracts.Task), GetType(LocalCommunications.Workflow1))

		<DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible), BrowsableAttribute(True), CategoryAttribute("Parameters")> _
		Public Property NewTask() As LCContracts.Task
			Get
				Return (CType(MyBase.GetValue(LocalCommunications.Workflow1.NewTaskProperty), LCContracts.Task))
			End Get
			Set(ByVal value As LCContracts.Task)
				MyBase.SetValue(LocalCommunications.Workflow1.NewTaskProperty, value)
			End Set
		End Property

		Public Shared CompletedTaskProperty As DependencyProperty = DependencyProperty.Register("CompletedTask", GetType(LCContracts.TaskEventArgs), GetType(LocalCommunications.Workflow1))

		<DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible), BrowsableAttribute(True), CategoryAttribute("Parameters")> _
		Public Property CompletedTask() As LCContracts.TaskEventArgs
			Get
				Return (CType(MyBase.GetValue(LocalCommunications.Workflow1.CompletedTaskProperty), LCContracts.TaskEventArgs))
			End Get
			Set(ByVal value As LCContracts.TaskEventArgs)
				MyBase.SetValue(LocalCommunications.Workflow1.CompletedTaskProperty, value)
			End Set
		End Property

		Private Sub PrepTask(ByVal sender As Object, ByVal e As EventArgs) Handles callExternalMethodActivity1.MethodInvoking
			NewTask = New LCContracts.Task With {.Name = "Do work", .Description = "Do some work", .DateDue = DateTime.Now.AddDays(3), .Priority = 2}
		End Sub

		Private Sub codeActivity1_ExecuteCode(ByVal sender As Object, ByVal e As EventArgs)
			Console.WriteLine("writing stuff")
		End Sub
	End Class

End Namespace
