﻿Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports System.Workflow.ComponentModel
Imports System.ComponentModel
Imports System.Runtime.Serialization

Namespace SimpleWorkflows
	Public Class WriteLineActivity
		Inherits Activity

		Public Shared OutputTextProperty As DependencyProperty = DependencyProperty.Register("OutputText", GetType(String), GetType(WriteLineActivity))

		<System.ComponentModel.DescriptionAttribute("OutputText"), System.ComponentModel.CategoryAttribute("OutputText Category"), System.ComponentModel.BrowsableAttribute(True), System.ComponentModel.DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Visible)> _
		Public Property OutputText() As String
			Get
				Return (CStr(MyBase.GetValue(WriteLineActivity.OutputTextProperty)))
			End Get
			Set(ByVal value As String)
				MyBase.SetValue(WriteLineActivity.OutputTextProperty, value)
			End Set
		End Property

		Protected Overrides Function Execute(ByVal executionContext As ActivityExecutionContext) As ActivityExecutionStatus
			Console.WriteLine(OutputText)
			Return MyBase.Execute(executionContext)
		End Function


	End Class
End Namespace
